Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class DeleteObjectRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.s3.model.DeleteObjectRequest

    public class DeleteObjectRequest

extends AmazonWebServiceRequest

Deletes the specified object in the specified bucket. Once deleted, the object can only be restored if versioning was enabled when the object was deleted.

Note: If you delete an object that does not exist, Amazon S3 will return a success (not an error message).

Constructor Summary
`DeleteObjectRequest(String bucketName, String key)` Constructs a new DeleteObjectRequest, ready to be executed and delete the specified object.

Method Summary
`String` | `getBucketName()` Returns the name of the Amazon S3 bucket containing the object to delete.
`String` | `getKey()` Returns the key of the object to delete.
`void` | `setBucketName(String bucketName)` Sets the name of the Amazon S3 bucket containing the object to delete.
`void` | `setKey(String key)` Sets the key of the object to delete.
`DeleteObjectRequest` | `withBucketName(String bucketName)` Sets the name of the Amazon S3 bucket containing the object to delete, and returns this object so that additional method calls may be chained together.
`DeleteObjectRequest` | `withKey(String key)` Sets the key of the object to delete, and returns this object so that additional method calls may be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteObjectRequest

    public DeleteObjectRequest(String bucketName,
                               String key)

  Constructs a new DeleteObjectRequest, ready to be executed and delete the specified object.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket containing the object to delete.
    `key` - The key of the object to delete.

Method Detail

### getBucketName

    public String getBucketName()

  Returns the name of the Amazon S3 bucket containing the object to delete.

  Returns:
    the name of the Amazon S3 bucket containing the object to delete.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the Amazon S3 bucket containing the object to delete.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket containing the object to delete.

### withBucketName

    public DeleteObjectRequest withBucketName(String bucketName)

  Sets the name of the Amazon S3 bucket containing the object to delete, and returns this object so that additional method calls may be chained together.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket containing the object to delete.
  Returns:
    The updated DeleteObjectRequest object so that additional method calls may be chained together.

### getKey

    public String getKey()

  Returns the key of the object to delete.

  Returns:
    The key of the object to delete.

### setKey

    public void setKey(String key)

  Sets the key of the object to delete.

  Parameters:
    `key` - The key of the object to delete.

### withKey

    public DeleteObjectRequest withKey(String key)

  Sets the key of the object to delete, and returns this object so that additional method calls may be chained together.

  Parameters:
    `key` - The key of the object to delete.
  Returns:
    The updated DeleteObjectRequest object so that additional method calls may be chained together.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.